Moves a content from its current location to another location.
1 min
POST
/api/episerver/v3.0/contentmanagement/{contentIdentifier}/move
Path Parameters
- contentIdentifierstringrequiredDescription
Header Parameters
- x-epi-parent-location-ruleparentLocationRule3Description
Body Parameters
- bodymoveOptions3requiredDescription
- parentLinkcontentReferencerequiredDescription
- idinteger<int32>DescriptionFormatint32
- workIdinteger<int32>DescriptionFormatint32
- guidValuestring<uuid>DescriptionFormatuuid
- providerNamestringDescription
- urlstringDescription
- languageobject
- language3
- displayNamestringDescription
- namestringrequiredDescription
Responses
204
400
403
404
curl
curl --request POST \
--url /api/episerver/v3.0/contentmanagement/{contentIdentifier}/move \
--header 'accept: application/problem+json' \
--header 'content-type: application/json' \
--header 'x-epi-parent-location-rule: object' \
--data '{
"parentLink": {
"language": {
"name": ""
}
}
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/problem+json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-epi-parent-location-rule", "object");
var raw = JSON.stringify({
"parentLink": {
"language": {
"name": ""
}
}
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("/api/episerver/v3.0/contentmanagement/{contentIdentifier}/move", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/api/episerver/v3.0/contentmanagement/{contentIdentifier}/move")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Post.new(url)
request["accept"] = "application/problem+json"
request["content-type"] = "application/json"
request["x-epi-parent-location-rule"] = "object"
request.body = JSON.dump({
"parentLink": {
"language": {
"name": ""
}
}
})
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/api/episerver/v3.0/contentmanagement/{contentIdentifier}/move"
payload = json.dumps({
"parentLink": {
"language": {
"name": ""
}
}
})
headers = {
'accept': 'application/problem+json',
'content-type': 'application/json',
'x-epi-parent-location-rule': 'object'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
204
// No content
400
// Bad request
403
// Forbidden
404
// Not found